Search documentation of polar_express

# PolarExpress.Services.CustomerPortal.MetersService (polar_express v0.1.5)

Copy Markdown View Source

Meters

Meters API operations.

## Summary

### Functions

get_customer_meter(client, id, params \\ %{}, opts \\ [])

Get Customer Meter

list_meters(client, params \\ %{}, opts \\ [])

List Meters

## Functions

# get_customer_meter(client, id, params \\ %{}, opts \\ [])

    @spec get_customer_meter(PolarExpress.Client.t(), String.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.CustomerCustomerMeter.t()}
      | {:error, PolarExpress.Error.t()}

Get Customer Meter

Get a meter by ID for the authenticated customer.

Scopes: `customer_portal:read` `customer_portal:write`

See `PolarExpress.Params.CustomerPortal.MetersGetCustomerMeterParams` for parameter details.

# list_meters(client, params \\ %{}, opts \\ [])

    @spec list_meters(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.ListObject.t()} | {:error, PolarExpress.Error.t()}

List Meters

List meters of the authenticated customer.

Scopes: `customer_portal:read` `customer_portal:write`

See `PolarExpress.Params.CustomerPortal.MetersListMetersParams` for parameter details.